
QGIS Application - Bug report #7144

Resampling does not work (anymore?) for WMS layers

2013-02-11 05:24 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16208

Description

I believe it is a regression because it used to work, anyway would be a new feature that is not working as expected (because otherwise

the resampling options should not be available for WMS layers).

Associated revisions

Revision c3bb8db7 - 2013-05-15 06:29 PM - Radim Blazek

enabled resampling for wms, fixes #7144

History

#1 - 2013-05-15 09:31 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"c3bb8db7fc27a06b67dc79f0d24a5e9f3a6c64af".

#2 - 2013-05-15 09:37 AM - Radim Blazek

- Resolution set to fixed

Resampling was disabled for rasters without known data source resolution (WMS). I have reenabled resampling for all data sources. Note that if resolution

is not known, we cannot decide if undersampling or oversampling has to be used. In such case oversampling always used  (expecting that server data

have always higher resolution, which is not always true).
